<?php
/**
 * Plugin Name:       Buy More Save More
 * Requires Plugins:  woocommerce
 * Plugin URI:        https://woocommerce.com/products/buy-more-save-more
 * Description:       The buy more, save more extension allows merchants to set up dynamic discounts based on order quantity.
 * Version:           1.1.1
 * Author:            Koalaapps
 * Developed By:      Koalaapps
 * Author URI:        https://woocommerce.com/vendor/koalaapps/
 * Support:           https://woocommerce.com/vendor/koalaapps/
 * Domain Path:       /languages
 * Text Domain:       koalaapps-buy-more-save-more
 * License: GNU General Public License v3.0
 * License URI: http://www.gnu.org/licenses/gpl-3.0.html
 * WC requires at least: 3.0.9
 * WC tested up to: 9.*.*
 *
 * @package koalaapps-buy-more-save-more
 */

if (!defined('ABSPATH')) {
	exit();
}

if (!class_exists('Koalaapps_Buy_More_Save_More')) {

	class Koalaapps_Buy_More_Save_More {
	

		public function __construct() {
			$this->koalaapps_bmsm_global_constents_vars();
			add_action('plugin_loaded', array( $this, 'af_pc_plugin_loaded' ));
			add_action('before_woocommerce_init', array( $this, 'koala_bmsm_wsp_HOPS_Compatibility' ));
			register_activation_hook(__FILE__, array( $this, 'koala_set_default_options' ));

			include_once AF_BMSM_DIR . 'includes/main.php';
		}
		
		public function koalaapps_bmsm_global_constents_vars() {
			if (!defined('AF_BMSM_URL')) {
				define('AF_BMSM_URL', plugin_dir_url(__FILE__));
			}
			if (!defined('AF_BMSM_DIR')) {
				define('AF_BMSM_DIR', plugin_dir_path(__FILE__));
			}
		}

		public function koala_bmsm_wsp_HOPS_Compatibility() {

			if ( class_exists( \Automattic\WooCommerce\Utilities\FeaturesUtil::class ) ) {
				\Automattic\WooCommerce\Utilities\FeaturesUtil::declare_compatibility( 'custom_order_tables', __FILE__, true );
			}
		}

		public function af_pc_plugin_loaded() {
			if ( function_exists('load_plugin_textdomain') ) {
				load_plugin_textdomain( 'koalaapps-buy-more-save-more', false, AF_BMSM_DIR . '/languages' );

			}
		}

		public function koala_set_default_options() {
			 
			$default_options = array(
				'tb_top_text' => 'Grab this deal now!',
				'tb_top_tx_font_sz' => '17',
				'tb_top_tx_font_sz_units' => 'px',
				'tb_top_icon' => esc_url(AF_BMSM_URL . 'assets/upload/deal.png'),
				'tb_hd_cl' => '#ccfbc0',
				'tb_hd_txt_cl' => '#80847d',
				'tb_hd_active_row_clr' => '#c0d6fd6b',
				'tb_ft_cl' => '17',
				'tb_new_pc_font_units' => 'px',
				'tb_new_pr_cl' => '#ff0000',
				'tb_font_txt_size' => '17',
				'tb_dis_pc_font_units' => 'px',
				'lst_top_text' => 'Grab this deal now!',
				'lst_top_tx_font_sz' => '17',
				'lst_top_tx_font_sz_units' => 'px',
				'lst_top_icon' => esc_url(AF_BMSM_URL . 'assets/upload/deal.png'),
				'list_new_pr_cl' => '#008000',
				'list_dic_cl' => '#ff0000',
				'gd_top_text' => 'Select Your Savings Now!',
				'gd_top_tx_font_sz' => '17',
				'gd_top_tx_font_sz_units' => 'px',
				'gd_top_icon' => esc_url(AF_BMSM_URL . 'assets/upload/deal2.png'),
				'gd_part_bg_cl' => '#e9feff',
				'gd_border_cl' => '#ffa500',
				'gd_disc_corn_bg_cl' => '#ff0000',
				'gd_disc_corn_txt_cl' => '#fff',
				'gd_new_price_txt_cl' => '#008000',
				'gd_new_pr_txt_size' => '17',
				'gd_nw_pc_font_units' => 'px',
				'cd_top_text' => 'Secure Your Savings Today!',
				'cd_top_tx_font_sz' => '17',
				'cd_top_tx_font_sz_units' => 'px',
				'cd_top_icon' => esc_url(AF_BMSM_URL . 'assets/upload/deal3.png'),
				'cd_act_cd_bg_cl' => '#d3f8f3',
				'cd_txt_nw_prc_clr' => '#008000',
				'cd_fnt_size_nw_prc' => '17',
				'cd_fnt_size_nw_prc_unit' => 'px',
				'cd_txt_tl_nw_prc_clr' => '#18184f',
				'cd_fnt_size_tl_nw_prc' => '16',
				'cd_fnt_size_tl_nw_prc_unit' => 'px',
				'cd_disc_txt_cl' => '#ffffff',
				'cd_fnt_size_disc_text' => '11',
				'cd_fnt_size_disc_text_unit' => 'px',
				'cd_disc_save_text_cl' => '#ff5a00',
				'cd_fnt_size_save_prc_text' => '16',
				'cd_fnt_size_save_prc_text_unit' => 'px',
				'img_cd_top_text' => 'Claim Your Savings Instantly!',
				'img_cd_top_tx_font_sz' => '17',
				'img_cd_top_tx_font_sz_units' => 'px',
				'img_cd_top_icon' => esc_url(AF_BMSM_URL . 'assets/upload/deal4.png'),
				'img_cd_img_act_img_cd_border_cl' => '#57ab93',
				'cd_img_bg_cor_dis_cl' => '#ff0000',
				'cd_img_text_cor_dis_cl' => '#ff0000',
				'cd_img_font_sz_cor_disc' => '13',
				'cd_img_font_sz_cor_disc_unit' => 'px',
				'cd_img_upr_cd_txt_clr' => '#008000',
				'cd_img_upr_txt_ft_sz' => '17',
				'cd_img_upr_txt_ft_sz_unit' => 'px',
				'cd_img_txt_clr_nw_prc' => '#ff0000',
				'cd_img_fn_sz_nw_prc' => '16',
				'cd_img_fn_sz_nw_prc_unit' => 'px',
				'cd_tmp_1_top_text' => 'Claim Your Savings Instantly!',
				'cd_tmp_1_top_tx_font_sz' => '17',
				'cd_tmp_1_top_tx_font_sz_units' => 'px',
				'cd_tmp_1_top_icon' => esc_url(AF_BMSM_URL . 'assets/upload/deal4.png'),
				'cd_tmp_1_border_cl' => '#ffa500',
				'cd_tmp_1_text_dis_cl' => '#ffa500',
				'cd_tmp_1_font_sz_disc' => '15',
				'cd_tmp_1_font_sz_disc_unit' => 'px',
				'cd_tmp_1_qty_txt_clr' => '#ffa500',
				'cd_tmp_1_qty_txt_ft_sz' => '15',
				'cd_tmp_1_qty_txt_ft_sz_unit' => 'px',  
				'cd_tmp_2_top_text' => 'Claim Your Savings Instantly!',
				'cd_tmp_2_top_tx_font_sz' => '17',
				'cd_tmp_2_top_tx_font_sz_units' => 'px',
				'cd_tmp_2_top_icon' => esc_url(AF_BMSM_URL . 'assets/upload/deal3.png'),
				'cd_tmp_2_border_cl' => '#18a154',
				'cd_tmp_2_text_dis_cl' => '#18a154',
				'cd_tmp_2_font_sz_disc' => '15',
				'cd_tmp_2_font_sz_disc_unit' => 'px',
				'cd_tmp_2_qty_txt_clr' => '#18a154',
				'cd_tmp_2_qty_txt_ft_sz' => '15',
				'cd_tmp_2_qty_txt_ft_sz_unit' => 'px',  
				'cd_tmp_3_top_text' => 'Claim Your Savings Instantly!',
				'cd_tmp_3_top_tx_font_sz' => '17',
				'cd_tmp_3_top_tx_font_sz_units' => 'px',
				'cd_tmp_3_top_icon' => esc_url(AF_BMSM_URL . 'assets/upload/deal2.png'),
				'cd_tmp_3_border_cl' => '#2ba123',
				'cd_tmp_3_text_dis_cl' => '#ffffff',
				'cd_tmp_3_font_sz_disc' => '15',
				'cd_tmp_3_font_sz_disc_unit' => 'px',
				'cd_tmp_3_text_bg_dis_cl' => '#2ba123', 
				'reminder_br_clr' => '#ff0000', 
				'tag_br_clr' => '#ad791a',  
				'tag_txt_clr' => '#ffffff', 
				'cart_disc_bg_clr' => '#1a0f6e',    
				'cart_disc_txt_clr' => '#ffffff',   
			);
		
			if (get_option('koala_bmsm_general_settings') === false) {
				add_option('koala_bmsm_general_settings', $default_options);
			}
		}
	}
	new Koalaapps_Buy_More_Save_More();
}
